Subject: Problem with ssh and X
From: Dr Christian Hicks <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 15 Dec 2004 19:00:47 +0000

I am trying to connect to a Sun UNIX box and display
the graphics on my PC running Cygwin. I am using
the command ssh -X -l <user-name> <remote-machine>.

The connection is being made OK, but when I try and 
run something with X graphics I get an error message
of the form:
X Error (intercepted): BadWindow (invalid Window parameter)
Major Request Code : 7
Minor Request Code : 0
Resource ID (XID) : 58
Error Serial Number : 47
XView warning: invalid object (not a pointer), xv_get
finished; X Error of failed request: BadWindow (invalid Window parameter)
  Major opcode of failed request 7 (X_ReparentWindow)
  Resource id in failed request: 0x3a
  Serial number of failed request: 47
  Current serial number in output stream: 56

I have a Netgear DG834G router/firewall, neither of which are
showing anything in the log. The odd thing is that I tried 
the same thing from my work PC and it was fine. I updated
the whole of my Cygwin installation yesterday.

Any help would be very gratefully received.

Thanks,

Dr Christian Hicks
Senior Lecturer,
Director of Postgraduate Training,
School of Mechanical & Systems Engineering,
Stephenson Building,
University of Newcastle upon Tyne,
NE1 7RU.
Phone: +44 191 222 6238
Mobile 0796 398 9449
Fax: + 44 191 222 8600
Homepage: http://www.staff.ncl.ac.uk/chris.hicks

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/